summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--include/inject.sh6
-rw-r--r--util/nvmutil/Makefile23
2 files changed, 20 insertions, 9 deletions
diff --git a/include/inject.sh b/include/inject.sh
index 6a1b0768..783e06ed 100644
--- a/include/inject.sh
+++ b/include/inject.sh
@@ -6,7 +6,7 @@
cbcfgsdir="config/coreboot"
tmpromdel="$XBMK_CACHE/DO_NOT_FLASH"
-nvm="util/nvmutil/nvm"
+nvmutil="util/nvmutil/nvmutil"
ifdtool="elf/coreboot/default/ifdtool"
checkvars="CONFIG_GBE_BIN_PATH"
@@ -200,13 +200,13 @@ modify_mac()
x_ make -C util/nvmutil clean
x_ make -C util/nvmutil
- x_ "$nvm" "$xbtmp/gbe" setmac "$new_mac"
+ x_ "$nvmutil" "$xbtmp/gbe" setmac "$new_mac"
fi
fx_ newmac x_ find "$tmpromdir" -maxdepth 1 -type f -name "*.rom"
printf "\nThe following GbE NVM data will be written:\n"
- x_ "$nvm" "$xbtmp/gbe" dump | grep -v "bytes read from file" || :
+ x_ "$nvmutil" "$xbtmp/gbe" dump | grep -v "bytes read from file" || :
}
newmac()
diff --git a/util/nvmutil/Makefile b/util/nvmutil/Makefile
index b8ec2ad3..91b5ba1c 100644
--- a/util/nvmutil/Makefile
+++ b/util/nvmutil/Makefile
@@ -1,5 +1,5 @@
# SPDX-License-Identifier: MIT
-# SPDX-FileCopyrightText: 2022,2025 Leah Rowe <leah@libreboot.org>
+# SPDX-FileCopyrightText: 2022,2026 Leah Rowe <leah@libreboot.org>
# SPDX-FileCopyrightText: 2023 Riku Viitanen <riku.viitanen@protonmail.com>
CC?=cc
@@ -8,17 +8,28 @@ DESTDIR?=
PREFIX?=/usr/local
INSTALL?=install
+# nvm is the old binary name,
+# but it was renamed to nvmutil
+# to avoid conflict with a certain
+# package manager by that name!
+
nvm: nvmutil.c
- $(CC) $(CFLAGS) nvmutil.c -o nvm
+ rm -f nvm
+ $(CC) $(CFLAGS) nvmutil.c -o nvmutil
install:
- $(INSTALL) nvm $(DESTDIR)$(PREFIX)/bin/nvm
+ $(INSTALL) nvmutil $(DESTDIR)$(PREFIX)/bin/nvmutil
+
+# do not delete *bin/nvm because
+# there is a package manager by
+# that name. this makefile now
+# treats nvmutil as the binary
uninstall:
- rm -f $(DESTDIR)$(PREFIX)/bin/nvm
+ rm -f $(DESTDIR)$(PREFIX)/bin/nvmutil
distclean:
- rm -f nvm
+ rm -f nvm nvmutil
clean:
- rm -f nvm
+ rm -f nvm nvmutil